Get Rights Category

Get Rights Category
Retrieve an individual Right category.

Retrieves the requested Rights Category by id.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/rightsCategories/{id}
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RightsCategoryNode of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "string",
    "description": "string",
    "bundleKey": "string",
    "parent": "string",
    "serviceNamespace": "string",
    "rightsCount": {
        "view": 0,
        "modify": 0
    },
    "subCategories": [
        "string"
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/rightsCategories/{id}